[package]
name = "marstemedia-ui"
version = "0.1.0"
edition = "2021"

[dependencies]
yew = { version = "0.21", features = ["csr"] }
yew-router = "0.18"
wasm-bindgen = "0.2"
wasm-bindgen-futures = "0.4"
web-sys = { version = "0.3", features = ["Window", "ScrollToOptions", "ScrollBehavior", "HtmlInputElement", "MouseEvent"] }
js-sys = "0.3"
serde = { version = "1", features = ["derive"] }
serde-wasm-bindgen = "0.6"
console_error_panic_hook = "0.1.7"
serde_json = "1.0"
gloo-timers = "0.3.0"
# Umgestellt auf rustls, um OpenSSL-Fehler beim Cross-Compiling zu vermeiden
reqwest = { version = "0.12", default-features = false, features = ["json", "rustls-tls"] }
pulldown-cmark = "0.13.0"
rand = "0.9.2"
getrandom = { version = "0.3", features = ["wasm_js"] }
ron = "0.8"
feed-rs = "2.3.1"
uuid = { version = "1.19", features = ["js"] }

[workspace]
members = ["src-tauri"]
